#include "WimaController.h"
#include "MissionController.h"

WimaController::WimaController(QObject *parent) : QObject(parent)
{
    this->_flyArea = new WimaFlyArea(parent);
}

void WimaController::start()
{
    _flyArea->_init();
}

void WimaController::recalcMission()
{

}

void WimaController::setMasterController(PlanMasterController *masterC)
{
    _masterController = masterC;
    emit masterControllerChanged(_masterController);
}

void WimaController::setMissionController(MissionController *missionC)
{
    _missionController = missionC;
    emit missionControllerChanged(_missionController);
}



